Bug 1338639 - mod_cluster crashes apache thread if multiple nodes report the same AJP connect string
Summary: mod_cluster crashes apache thread if multiple nodes report the same AJP conne...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: mod_cluster
Version: 2.1.0
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: DR02
: 2.1.1
Assignee: Jean-frederic Clere
QA Contact: Michal Karm Babacek
URL:
Whiteboard:
Depends On: 1200308
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-23 07:55 UTC by Michal Karm Babacek
Modified: 2020-07-16 08:46 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1200308
Environment:
Last Closed: 2019-06-13 12:20:06 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker MODCLUSTER-448 0 Major Open mod_cluster crashes apache thread if multiple nodes report the same AJP connect string 2019-04-08 13:09:48 UTC

Description Michal Karm Babacek 2016-05-23 07:55:12 UTC
+++ This bug was initially created as a clone of Bug #1200308 +++

If one misconfigures one's servers so as two or more of them reside on the same IP and port and they register with the Apache HTTP Server mod_cluster load balancer, the worker thread crashes on access to APR conf storage:

 > misc/apr_reslist.c:159: reslist_cleanup: Assertion `rl->ntotal == 0' failed.

Concern:
 - small, this is an administrator's error, no production system should be set up in such fashion

Suggestions:
 - proposed patch [MODCLUSTER-448] logs a warning that this configuration is non-viable
 - the aforementioned proposed patch does not deal with the crash itself, so it needs more work to be done; perhaps discarding such misconfigured workers altogether


Note You need to log in before you can comment on or make changes to this bug.